require 'spec_helper'

describe EY::CloudClient::App do
  before(:each) do
    FakeWeb.allow_net_connect = true
  end

  describe ".all" do
    it "finds all the apps" do
      api = scenario_cloud_client "One App Many Envs"
      apps = EY::CloudClient::App.all(api)
      apps.size.should == 1
      app = apps.first
      app.name.should == 'rails232app'
    end

    it "includes environments in all apps" do
      api = scenario_cloud_client "One App Many Envs"
      app = api.apps.first
      app.environments.size.should == 2
      app.environments.sort.map(&:name).should =~ %w[bakon giblets]
    end
  end

end
